MiWaters System Requirements

MiWaters has been tested and will work with current versions of Internet Explorer, Edge, Chrome, and Firefox.

Known incompatibilities:

  • Internet Explorer 8 or earlier will not work with MiWaters.
  • Safari will not work with MiWaters' forms.